package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * DashboardVpnStats
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class DashboardVpnStats   {
  @JsonProperty("site")
  private String site;

  @JsonProperty("name")
  private String name;

  @JsonProperty("status")
  private Boolean status;

  @JsonProperty("tunnels")
  private Integer tunnels;

  @JsonProperty("txData")
  private Long txData;

  @JsonProperty("rxData")
  private Long rxData;

  public DashboardVpnStats site(String site) {
    this.site = site;
    return this;
  }

  /**
   * Site
   * @return site
  */
  @ApiModelProperty(value = "Site")


  public String getSite() {
    return site;
  }

  public void setSite(String site) {
    this.site = site;
  }

  public DashboardVpnStats name(String name) {
    this.name = name;
    return this;
  }

  /**
   * VPN name
   * @return name
  */
  @ApiModelProperty(value = "VPN name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public DashboardVpnStats status(Boolean status) {
    this.status = status;
    return this;
  }

  /**
   * Whether VPN is enabled
   * @return status
  */
  @ApiModelProperty(value = "Whether VPN is enabled")


  public Boolean getStatus() {
    return status;
  }

  public void setStatus(Boolean status) {
    this.status = status;
  }

  public DashboardVpnStats tunnels(Integer tunnels) {
    this.tunnels = tunnels;
    return this;
  }

  /**
   * The number of tunnels included in the VPN server
   * @return tunnels
  */
  @ApiModelProperty(value = "The number of tunnels included in the VPN server")


  public Integer getTunnels() {
    return tunnels;
  }

  public void setTunnels(Integer tunnels) {
    this.tunnels = tunnels;
  }

  public DashboardVpnStats txData(Long txData) {
    this.txData = txData;
    return this;
  }

  /**
   * The total tx traffic of the channels included in the server/client, in Byte
   * @return txData
  */
  @ApiModelProperty(value = "The total tx traffic of the channels included in the server/client, in Byte")


  public Long getTxData() {
    return txData;
  }

  public void setTxData(Long txData) {
    this.txData = txData;
  }

  public DashboardVpnStats rxData(Long rxData) {
    this.rxData = rxData;
    return this;
  }

  /**
   * The total rx traffic of the tunnels included in the server/client, in Byte
   * @return rxData
  */
  @ApiModelProperty(value = "The total rx traffic of the tunnels included in the server/client, in Byte")


  public Long getRxData() {
    return rxData;
  }

  public void setRxData(Long rxData) {
    this.rxData = rxData;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DashboardVpnStats dashboardVpnStats = (DashboardVpnStats) o;
    return Objects.equals(this.site, dashboardVpnStats.site) &&
        Objects.equals(this.name, dashboardVpnStats.name) &&
        Objects.equals(this.status, dashboardVpnStats.status) &&
        Objects.equals(this.tunnels, dashboardVpnStats.tunnels) &&
        Objects.equals(this.txData, dashboardVpnStats.txData) &&
        Objects.equals(this.rxData, dashboardVpnStats.rxData);
  }

  @Override
  public int hashCode() {
    return Objects.hash(site, name, status, tunnels, txData, rxData);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DashboardVpnStats {\n");
    
    sb.append("    site: ").append(toIndentedString(site)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    tunnels: ").append(toIndentedString(tunnels)).append("\n");
    sb.append("    txData: ").append(toIndentedString(txData)).append("\n");
    sb.append("    rxData: ").append(toIndentedString(rxData)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

